package com.ygtx.worklog.service;

import java.util.List;
import com.ygtx.worklog.domain.SystemConfig;

/**
 * 系统配置Service接口
 *
 * @author ruoyi
 * @date 2025-10-21
 */
public interface ISystemConfigService
{
    /**
     * 查询系统配置
     *
     * @param id 系统配置主键
     * @return 系统配置
     */
    public SystemConfig selectSystemConfigById(Long id);

    /**
     * 查询系统配置列表
     *
     * @param systemConfig 系统配置
     * @return 系统配置集合
     */
    public List<SystemConfig> selectSystemConfigList(SystemConfig systemConfig);

    /**
     * 新增系统配置
     *
     * @param systemConfig 系统配置
     * @return 结果
     */
    public int insertSystemConfig(SystemConfig systemConfig);

    /**
     * 修改系统配置
     *
     * @param systemConfig 系统配置
     * @return 结果
     */
    public int updateSystemConfig(SystemConfig systemConfig);

    /**
     * 批量删除系统配置
     *
     * @param ids 需要删除的系统配置主键集合
     * @return 结果
     */
    public int deleteSystemConfigByIds(Long[] ids);

    /**
     * 删除系统配置信息
     *
     * @param id 系统配置主键
     * @return 结果
     */
    public int deleteSystemConfigById(Long id);

    /**
     * 根据配置键查询配置值
     *
     * @param configKey 配置键
     * @return 配置值
     */
    public String selectConfigByKey(String configKey);
}
